/{organizationId}/{mandateId}/crm/groups/groupSuggestionsSuggest contact groups
Lists contacts ranked by matching surname, address and email, including their accessible groups.
Required permissions:
mandate.read
contactGroup.read
contactGroupType.read
contactGroupMembership.insert
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
contactIdstringrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/groups/groupSuggestions' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"contactId": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
lastNamestringrequired Response
{
"lastName": "string",
"types": [
{
"_id": "000000000000000000000001",
"name": "string"
}
],
"matches": [
{
"_id": "000000000000000000000001",
"name": "string",
"matches": [
"lastName"
],
"score": -9007199254740991,
"groups": [
{
"_id": "000000000000000000000001",
"name": "string",
"number": "string",
"type": "000000000000000000000001",
"locked": true
}
]
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}